[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.IsEmpty

Check if the hash table is empty.

## Declaration

Source position: contnrs.pp line 382

`public function TFPCustomHashTable.IsEmpty: Boolean;`

## Function result

True if there are zero keys in the hashtable

## Description

IsEmpty returns True if the hash table contains no elements, or False if there are still elements in the hash table.

## See also

TFPCustomHashTable.Count |  | Number of items in the hash table.
TFPCustomHashTable.HashTableSize |  | Size of the hash table
TFPCustomHashTable.AVGChainLen |  | Average chain length
TFPCustomHashTable.MaxChainLength |  | Maximum chain length

Documentation generated on: Feb 26 2014